Login
Nome utente:

Password:

Ricorda



Recupero password

Registrati!
Navigazione
Utenti più attivi
1 Defkon1
Defkon1
6518
2 slyss
slyss
3389
3 blueangel
blueangel
1921
4 ianez
ianez
1914
5 timgno
timgno
1520
6 urban
urban
1476
7 dantom
dantom
1233
8 Energiko
Energiko
1013
9 unico77
unico77
985
10 Kirky
Kirky
862
Utenti Online
12 utente(i) online
(10 utente(i) in Forum)

Iscritti: 0
Ospiti: 12

altro...


Naviga in questa discussione:   1 Utenti anonimi






INSTALLAZIONE 2.5.5. con traduzione
#1
Matricola


Benutzerinformationen
Inserito:
16/5/2006 11:15
raggruppare
Utenti Registrati
Messaggi: 9
Non In Linea
scaricato ed installato EasyPHP 12.0 with PHP 5.4.4 che ha PHP 5.4.4 VC9 | Apache 2.4.2 VC9 | MySQL 5.5.25a | PhpMyAdmin 3.5.1 | Xdebug 2.2.0

installo la versione 2.5.5. di xoops con la traduzione

Sono arrivato alla fase successiva all'inserimento dell'utente amministratore e mi vengono fuori questi errori

Strict Standards: Non-static method XoopsDatabaseFactory::getDatabase() should not be called statically, assuming $this from incompatible context in C:\Programmi\easyphp\www\xoops\htdocs\install\class\dbmanager.php on line 47

Strict Standards: Non-static method XoopsLogger::getInstance() should not be called statically, assuming $this from incompatible context in C:\Programmi\easyphp\www\xoops\htdocs\install\class\dbmanager.php on line 49

Strict Standards: Non-static method XoopsLogger::getInstance() should not be called statically in C:\Programmi\easyphp\www\xoops\htdocs\class\logger\xoopslogger.php on line 384

(quest'ultimo ripetuto diverse volte)




Cosa devo fare????

Inserito il:21/8/2012 0:26
Crea PDF dal messaggio Stampa Twitter Facebook Google Plus LinkedIn Del.icio.us Digg Reddit Mr. Wong relazione, rapporto In alto


Re: INSTALLAZIONE 2.5.5. con traduzione
#2
Senior


Benutzerinformationen
Inserito:
26/11/2005 11:01
raggruppare
Utenti Registrati
Messaggi: 170
Non In Linea
E' dovuto alla versione PHP 5.4.4 che non è supportata dalla versione di Xoops che stai usando. D'altronde credo siano veramente pochi i server dove è installata questa versione di php, quindi il mio consiglio è di lasciar perdere per ora la versione php 5.4.4 (comunque la prossima versione di Xoops sarà compatibile)

Quindi le soluzioni possibili sono:
1) Usa una versione meno recente di Easyphp
2) Oppure, qui xoops.svn.sourceforge.net/viewvc/xoops/XoopsCore/branches/tasks/2.5.6_PHP5.4_mamba/?view=tar trovi una 2.5.6 non ufficiale, che dovrebbe supportare la tua versione di php.

Ma io ti consiglio semplicemente di verificare le caratteristiche dell'hosting dove andrai a pubblicarlo, e di utilizzare anche in locale, delle impostazioni simili.

Inserito il:21/8/2012 9:55
Crea PDF dal messaggio Stampa Twitter Facebook Google Plus LinkedIn Del.icio.us Digg Reddit Mr. Wong relazione, rapporto In alto


Re: INSTALLAZIONE 2.5.5. con traduzione
#3
Matricola


Benutzerinformationen
Inserito:
16/5/2006 11:15
raggruppare
Utenti Registrati
Messaggi: 9
Non In Linea
grazie
ora ho usato
EasyPHP 12.0 with PHP 5.3.14
PHP 5.3.14 VC9 | Apache 2.4.2 VC9 | MySQL 5.5.25a | PhpMyAdmin 3.5.1 | Xdebug 2.2.0

e sempre la versione 2.5.5 di xoops con la traduzione

ma ancora prima di partire con l'installazione viene fuori questo

Warning: require(C:/Programmi/easyphp/www/xoops/htdocs/xoops_data/data/secure.php) [function.require]: failed to open stream: No such file or directory in C:\Programmi\easyphp\www\xoops 2.5.5\htdocs\mainfile.php on line 68

Fatal error: require() [function.require]: Failed opening required 'C:/Programmi/easyphp/www/xoops/htdocs/xoops_data/data/secure.php' (include_path='.;C:\php\pear') in C:\Programmi\easyphp\www\xoops 2.5.5\htdocs\mainfile.php on line 68

p.s. sto facendo tutto in locale

Inserito il:21/8/2012 11:06
Crea PDF dal messaggio Stampa Twitter Facebook Google Plus LinkedIn Del.icio.us Digg Reddit Mr. Wong relazione, rapporto In alto


Re: INSTALLAZIONE 2.5.5. con traduzione
#4
Senior


Benutzerinformationen
Inserito:
26/11/2005 11:01
raggruppare
Utenti Registrati
Messaggi: 170
Non In Linea
Dovresti verificare la configurazione di mainfile.php
Hai spostato o rinominato le cartelle xoops_lib e xoops_data ?
Devi riguardare i path nel file mainfile.php, probabilmente vi è un errore e non trova queste cartelle.

Inserito il:22/8/2012 10:19
Crea PDF dal messaggio Stampa Twitter Facebook Google Plus LinkedIn Del.icio.us Digg Reddit Mr. Wong relazione, rapporto In alto


Re: INSTALLAZIONE 2.5.5. con traduzione
#5
Allievo


Benutzerinformationen
Inserito:
28/11/2006 11:42
Da Morrovalle
raggruppare
Utenti Registrati
Messaggi: 113
Non In Linea
Ho avuto un problema simile.

Avevo caricato le cartelle nella root principale. Le ho spostate solo in un secondo momento, rinominandole nel mainfile. Mi dava però errore alla line 68.

Il mio errore è stato che avendo impostato il main con permessi 444, nel momento della modifica, la stessa non era resa effettiva in quanto non possedeva di permessi di scrittura. Ho messi i permessi a 777, modificato di nuovo il mainfile e ricaricato. Risolto così. Non so se è anche il tuo caso. Ciao ciao

Inserito il:30/8/2012 10:13
Crea PDF dal messaggio Stampa Twitter Facebook Google Plus LinkedIn Del.icio.us Digg Reddit Mr. Wong relazione, rapporto In alto







Puoi vedere le discussioni.
Non puoi iniziare una nuova discussione.
Non puoi rispondere ai messaggi.
Non puoi modificare i tuoi messaggi.
Non puoi cancellare i tuoi messaggi.
Non puoi aggiungere nuovi sondaggi.
Non puoi votare nei sondaggi.
Non puoi allegare file ai messaggi.
Non puoi inviare messaggi senza approvazione.
Non puoi utilizzare tipo di argomento.
Non puoi utilizzare la sintassi HTML.
Non puoi utilizzare la firma.

[Ricerca avanzata]


XOOPS ITALIA © 2002-2012 - Powered by XOOPS